@import "color.css";

.product-container {
    align-items: stretch;
}

.product-grid {
    font-family: 'Work Sans', sans-serif;
    text-align: left;
    border-radius: 15px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
    /* Shadow effect */
    overflow: hidden;
    transition: all 0.4s ease-out;
    height: 100%;
}

.product-grid:hover {
    box-shadow: 5px 10px 30px rgba(0, 0, 0, 0.1);
}

.product-grid .product-image {
    position: relative;
}

.product-grid .product-image a.image {
    display: block;
}

.product-grid .product-image img {
    width: 100%;
    height: 220px;
    object-fit: cover;
}

.product-grid .product-discount-label {
    color: #fff;
    background: var(--dark-blue);
    font-size: 14px;
    font-weight: 300;
    padding: 2px 8px;
    border-radius: 5px;
    position: absolute;
    top: 12px;
    left: 12px;
}

.product-grid .product-logo-label {
    color: #fff;
    background: white;
    padding: 0px 9px;
    border-radius: 8px;
    position: absolute;
    top: 12px;
    right: 12px;
    height: 21px;
    display: flex;
    align-items: center;
    /* Center vertically */
    justify-content: center;
    /* Center horizontally */
}

.product-grid .product-logo-label img {
    max-height: 100%;
    max-width: 100%;
    width: auto;
    height: auto;
}

.product-grid .kategori-kos-label {
    color: #4C3681;
    background: #e5ddf3;
    font-size: 12px;
    font-weight: 300;
    padding: 1px 8px;
    border-radius: 5px;
    position: absolute;
    margin-top: 4px;
    margin-bottom: 3px;
}

.product-grid .product-links {
    width: 145px;
    padding: 0;
    margin: 0;
    list-style: none;
    opacity: 0;
    transform: translateX(-50%) translateY(-50%);
    position: absolute;
    top: 65%;
    left: 50%;
    transition: all 0.4s ease 0s;
}

.product-grid:hover .product-links {
    opacity: 1;
    top: 50%;
}

.product-grid .product-links li {
    display: inline-block;
    margin: 0 2px;
}

.product-grid .product-links li a {
    color: #2c2c2c;
    background: #fff;
    font-size: 16px;
    line-height: 42px;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    display: block;
    position: relative;
    transition: all 0.4s ease-out 0s;
}

.product-grid .product-links li a:hover {
    color: #fff;
    background: #78a206;
    box-shadow: 1px 1px 30px 0 rgba(0, 0, 0, 0.2);
}

.product-grid .product-links li a:before,
.product-grid .product-links li a:after {
    content: attr(data-tip);
    color: #fff;
    background-color: #555;
    font-size: 12px;
    line-height: 18px;
    padding: 5px 10px;
    white-space: nowrap;
    display: none;
    transform: translateX(-50%);
    position: absolute;
    left: 50%;
    top: -40px;
    transition: all 0.3s ease 0s;
}

.product-grid .product-links li a:after {
    content: '';
    height: 10px;
    width: 10px;
    padding: 0;
    transform: translateX(-50%) rotate(45deg);
    top: -18px;
    z-index: -1;
}

.product-grid .product-links li a:hover:before,
.product-grid .product-links li a:hover:after {
    display: block;
}

.product-grid .product-content {
    padding: 12px 12px 33px;
    position: relative;
    background-color: white;
}

.product-grid .rating {
    padding: 0;
    margin: 0 0 8px;
    list-style: none;
}

.product-grid .rating li {
    color: #78a206;
    font-size: 14px;
}

.product-grid .rating .far {
    color: #808080;
}

.product-grid .title {
    font-size: 15px;
    font-weight: 400;
    margin: 0;
}

.product-grid .small-title {
    font-size: 13px;
}

.product-grid .title a {
    color: black;
    transition: all 0.3s ease 0s;
}

.product-grid .title a:hover {
    color: #78a206;
}

.product-grid .price {
    color: var(--primary);
    font-size: 15px;
    font-weight: 500;
    display: block;
    transition: all 0.4s ease-in-out;
}

.product-grid:hover .price {
    opacity: 0;
}

.product-grid:hover .kategori-kos-label {
    opacity: 0;
}

.product-grid .add-to-cart {
    color: #fff;
    background-color: var(--primary);
    font-size: 16px;
    font-weight: 500;
    line-height: 40px;
    width: 140px;
    height: 40px;
    border-radius: 50px;
    opacity: 0;
    transform: translateX(-50%);
    position: absolute;
    bottom: 50px;
    left: 50%;
    transition: all .4s ease-out;
}

.product-grid .add-to-cart:hover {
    background-color: var(--dark);
}

.product-grid:hover .add-to-cart {
    opacity: 1;
    bottom: 8px;
}

@media screen and (max-width:1200px) {
    .product-grid {
        margin: 0 0 30px;
    }
}

.kos-card {
    border-radius: 15px;
}

.kos-card .product-image {
    position: relative;
    flex-shrink: 0;
}

.kos-card .product-image a.image {
    display: block;
}

.kos-card img {
    height: 120px;
    width: 250px;
    object-fit: cover;
    border-radius: 15px;
}

.kos-card .product-discount-label {
    color: #fff;
    background: var(--dark-blue);
    font-size: 14px;
    font-weight: 300;
    padding: 2px 8px;
    border-radius: 5px;
    position: absolute;
    top: 12px;
    left: 12px;
}

.kos-card .product-logo-label {
    color: #fff;
    background: white;
    padding: 0px 9px;
    border-radius: 8px;
    position: absolute;
    top: 12px;
    right: 12px;
    height: 21px;
    display: flex;
    align-items: center;
    /* Center vertically */
    justify-content: center;
    /* Center horizontally */
}

.kos-card .product-logo-label img {
    max-height: 100%;
    max-width: 100%;
    width: auto;
    height: auto;
}

.kos-card .kategori-kos-label {
    color: #4C3681;
    background: #e5ddf3;
    font-size: 12px;
    font-weight: 300;
    padding: 1px 8px;
    border-radius: 5px;
    position: absolute;
    margin-top: 4px;
    margin-bottom: 3px;
}

.kos-card .title {
    font-size: 20px;
    font-weight: 400;
    margin: 0;
    color: black;
}

.kos-card .price {
    color: var(--primary);
    font-size: 18px;
    font-weight: 500;
    display: block;
    transition: all 0.4s ease-in-out;
}